[arch-commits] Commit in valgrind/repos (4 files)
Allan McRae
allan at archlinux.org
Thu Feb 4 04:42:04 UTC 2021
Date: Thursday, February 4, 2021 @ 04:42:03
Author: allan
Revision: 407215
archrelease: copy trunk to testing-x86_64
Added:
valgrind/repos/testing-x86_64/
valgrind/repos/testing-x86_64/PKGBUILD
(from rev 407214, valgrind/trunk/PKGBUILD)
valgrind/repos/testing-x86_64/valgrind-3.16-openmpi-4.0.patch
(from rev 407214, valgrind/trunk/valgrind-3.16-openmpi-4.0.patch)
valgrind/repos/testing-x86_64/valgrind-3.7.0-respect-flags.patch
(from rev 407214, valgrind/trunk/valgrind-3.7.0-respect-flags.patch)
------------------------------------+
PKGBUILD | 110 +++++++++++++++++++++++++++++++++++
valgrind-3.16-openmpi-4.0.patch | 67 +++++++++++++++++++++
valgrind-3.7.0-respect-flags.patch | 13 ++++
3 files changed, 190 insertions(+)
Copied: valgrind/repos/testing-x86_64/PKGBUILD (from rev 407214, valgrind/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD (rev 0)
+++ testing-x86_64/PKGBUILD 2021-02-04 04:42:03 UTC (rev 407215)
@@ -0,0 +1,110 @@
+# Maintainer: Levente Polyak <anthraxx[at]archlinux[dot]org>
+# Contributor: Dan McGee <dan at archlinux.org>
+# Contributor: Allan McRae <allan at archlinux.org>
+
+pkgname=valgrind
+pkgver=3.16.1
+pkgrel=3
+pkgdesc='Tool to help find memory-management problems in programs'
+arch=('x86_64')
+license=('GPL')
+url='http://valgrind.org/'
+depends=('glibc' 'perl')
+makedepends=('gdb' 'lib32-glibc' 'lib32-gcc-libs' 'docbook-xml'
+ 'docbook-xsl' 'docbook-sgml')
+checkdepends=('procps-ng')
+optdepends=('lib32-glibc: 32-bit ABI support')
+provides=('valgrind-multilib')
+replaces=('valgrind-multilib')
+options=('!emptydirs' '!strip')
+source=(https://sourceware.org/pub/valgrind/valgrind-${pkgver}.tar.bz2{,.asc}
+ valgrind-3.7.0-respect-flags.patch
+ valgrind-3.16-openmpi-4.0.patch)
+validpgpkeys=(
+ 0E9FFD0C16A1856CF9C7C690BA0166E698FA6035 # Julian Seward <jseward at acm.org>
+)
+sha512sums=('2a4173efe1b6facdd2f5c5ee8ed006704168eba1813736fccc8191d60363afd96197512cf42037e65f18d4ddd49adc74a54c47210df216fba3c46bf68ef0f950'
+ 'SKIP'
+ 'e0cec39381cefeca09ae4794cca309dfac7c8693e6315e137e64f5c33684598726d41cfbb4edf764fe985503b13ff596184ca5fc32b159d500ec092e4cf8838c'
+ '65157c991c342953b838632bd1494ac101d26a5c7bef412606f20a18c42c0448c092a983436bf8d73af6f9518471c3ed26ddd7e37e3157a235bc001dffdad7e7')
+b2sums=('1c333c26827f7a8356869e8758da9dd6a7444642ac4f6377c84fdab8349b9cee1e9bf2cf2eb86043c4feffab342dd97da20e76d7566d0296189e6ea8483a8c65'
+ 'SKIP'
+ 'af556fdf3c02e37892bfe9afebc954cf2f1b2fa9b75c1caacfa9f3b456ebc02bf078475f9ee30079b3af5d150d41415a947c3d04235c1ea8412cf92b959c484a'
+ '28d3a259a96fb4a1c4417674f587058a65b5e5c4e0f3a88d443d2ba36da71273bcfbf01947de0fa523813f627a439f539d6139eb9c9ebede96a002310de0d0c1')
+
+prepare() {
+ cd valgrind-${pkgver}
+ patch -Np1 < ../valgrind-3.7.0-respect-flags.patch
+ patch -Np1 < ../valgrind-3.16-openmpi-4.0.patch
+ sed -i 's|sgml/docbook/xsl-stylesheets|xml/docbook/xsl-stylesheets-1.79.2-nons|' docs/Makefile.am
+
+ autoreconf -ifv
+}
+
+build() {
+ # valgrind does not like some of our flags
+ CPPFLAGS=${CPPFLAGS/-D_FORTIFY_SOURCE=2/}
+ CFLAGS=${CFLAGS/-fno-plt/}
+ CXXFLAGS=${CXXFLAGS/-fno-plt/}
+
+ cd valgrind-${pkgver}
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --libexecdir=/usr/lib \
+ --mandir=/usr/share/man
+ make
+ make -C docs man-pages
+}
+
+check() {
+ cd valgrind-${pkgver}
+
+ # Make sure a basic binary runs. There should be no errors.
+ ./vg-in-place --error-exitcode=1 /bin/true
+
+ # Make sure no extra FLAGS leak through, the testsuite
+ # sets all flags necessary. See also configure above.
+ make check CPPFLAGS= CFLAGS= CXXFLAGS= LDFLAGS=
+
+ # XXX: run full regtest but only report issues some tests fail duo
+ # current toolchain and expectations, take a manual look if its fine
+ #echo "===============TESTING==================="
+ #make regtest || true
+
+ # Make sure test failures show up in build.log
+ # Gather up the diffs (at most the first 20 lines for each one)
+ #local f max_lines=20 diff_files=()
+ #mapfile -d '' diff_files < <(find . -name '*.diff' -print0 | sort -z)
+ #if (( ${#diff_files[@]} == 0 )); then
+ #echo "Congratulations, all tests passed!"
+ #else
+ #warning "Some tests failed!"
+ #for f in "${diff_files[@]}"; do
+ #echo "================================================="
+ #echo "${f}"
+ #echo "================================================="
+ #if (( $(wc -l < "${f}") < ${max_lines} )); then
+ #cat "${f}"
+ #else
+ #head -n ${max_lines} "${f}"
+ #echo "<truncated beyond ${max_lines} lines>"
+ #fi
+ #done | tee diffs
+ #fi
+ #echo "===============END TESTING==============="
+}
+
+package() {
+ cd valgrind-${pkgver}
+ make DESTDIR="${pkgdir}" install
+
+ install -Dm644 docs/*.1 -t "$pkgdir/usr/share/man/man1"
+
+ if check_option 'debug' n; then
+ find "${pkgdir}/usr/bin" -type f -executable -exec strip $STRIP_BINARIES {} + || :
+ fi
+}
+
+# vim: ts=2 sw=2 et:
Copied: valgrind/repos/testing-x86_64/valgrind-3.16-openmpi-4.0.patch (from rev 407214, valgrind/trunk/valgrind-3.16-openmpi-4.0.patch)
===================================================================
--- testing-x86_64/valgrind-3.16-openmpi-4.0.patch (rev 0)
+++ testing-x86_64/valgrind-3.16-openmpi-4.0.patch 2021-02-04 04:42:03 UTC (rev 407215)
@@ -0,0 +1,67 @@
+From a3262243ca01f7cfe3ae86b168d5b3a7e5d1cbc0 Mon Sep 17 00:00:00 2001
+From: Balint Reczey <balint.reczey at canonical.com>
+Date: Thu, 28 Nov 2019 19:31:12 +0100
+Subject: [PATCH] Drop MPI 1 support
+
+Signed-off-by: Balint Reczey <balint.reczey at canonical.com>
+---
+ mpi/libmpiwrap.c | 16 ++--------------
+ 1 file changed, 2 insertions(+), 14 deletions(-)
+
+diff --git a/mpi/libmpiwrap.c b/mpi/libmpiwrap.c
+index 488bb13fd..a740ea562 100644
+--- a/mpi/libmpiwrap.c
++++ b/mpi/libmpiwrap.c
+@@ -278,8 +278,6 @@ static void showTy ( FILE* f, MPI_Datatype ty )
+ else if (ty == MPI_LONG_INT) fprintf(f,"LONG_INT");
+ else if (ty == MPI_SHORT_INT) fprintf(f,"SHORT_INT");
+ else if (ty == MPI_2INT) fprintf(f,"2INT");
+- else if (ty == MPI_UB) fprintf(f,"UB");
+- else if (ty == MPI_LB) fprintf(f,"LB");
+ # if defined(MPI_WCHAR)
+ else if (ty == MPI_WCHAR) fprintf(f,"WCHAR");
+ # endif
+@@ -350,20 +348,11 @@ static void showCombiner ( FILE* f, int combiner )
+ # endif
+ case MPI_COMBINER_CONTIGUOUS: fprintf(f, "CONTIGUOUS"); break;
+ case MPI_COMBINER_VECTOR: fprintf(f, "VECTOR"); break;
+-#if defined(MPI_COMBINER_HVECTOR_INTEGER)
+- case MPI_COMBINER_HVECTOR_INTEGER: fprintf(f, "HVECTOR_INTEGER"); break;
+-# endif
+ case MPI_COMBINER_HVECTOR: fprintf(f, "HVECTOR"); break;
+ case MPI_COMBINER_INDEXED: fprintf(f, "INDEXED"); break;
+-#if defined(MPI_COMBINER_HINDEXED_INTEGER)
+- case MPI_COMBINER_HINDEXED_INTEGER: fprintf(f, "HINDEXED_INTEGER"); break;
+-# endif
+ case MPI_COMBINER_HINDEXED: fprintf(f, "HINDEXED"); break;
+ #if defined(MPI_COMBINER_INDEXED_BLOCK)
+ case MPI_COMBINER_INDEXED_BLOCK: fprintf(f, "INDEXED_BLOCK"); break;
+-# endif
+-#if defined(MPI_COMBINER_STRUCT_INTEGER)
+- case MPI_COMBINER_STRUCT_INTEGER: fprintf(f, "STRUCT_INTEGER"); break;
+ # endif
+ case MPI_COMBINER_STRUCT: fprintf(f, "STRUCT"); break;
+ #if defined(MPI_COMBINER_SUBARRAY)
+@@ -458,8 +447,9 @@ Bool isMSI ( MPI_Status* status )
+ static long extentOfTy ( MPI_Datatype ty )
+ {
+ int r;
++ MPI_Aint lb;
+ MPI_Aint n;
+- r = PMPI_Type_extent(ty, &n);
++ r = MPI_Type_get_extent(ty, &lb, &n);
+ assert(r == MPI_SUCCESS);
+ return (long)n;
+ }
+@@ -733,8 +723,6 @@ void walk_type ( void(*f)(void*,long), char* base, MPI_Datatype ty )
+ f(base + offsetof(Ty,loc), sizeof(int));
+ return;
+ }
+- if (ty == MPI_LB || ty == MPI_UB)
+- return; /* have zero size, so nothing needs to be done */
+ goto unhandled;
+ /*NOTREACHED*/
+ }
+--
+2.17.1
+
Copied: valgrind/repos/testing-x86_64/valgrind-3.7.0-respect-flags.patch (from rev 407214, valgrind/trunk/valgrind-3.7.0-respect-flags.patch)
===================================================================
--- testing-x86_64/valgrind-3.7.0-respect-flags.patch (rev 0)
+++ testing-x86_64/valgrind-3.7.0-respect-flags.patch 2021-02-04 04:42:03 UTC (rev 407215)
@@ -0,0 +1,13 @@
+diff -Naur valgrind-3.7.0.orig//mpi/Makefile.am valgrind-3.7.0/mpi/Makefile.am
+--- valgrind-3.7.0.orig/mpi/Makefile.am 2011-10-26 17:24:23.000000000 -0400
++++ valgrind-3.7.0/mpi/Makefile.am 2011-11-10 16:03:14.000000000 -0500
+@@ -7,9 +7,6 @@
+ CC = $(MPI_CC)
+ DEFS =
+ DEFAULT_INCLUDES =
+-CPPFLAGS =
+-CFLAGS =
+-LDFLAGS =
+
+ EXTRA_DIST = \
+ mpiwrap_type_test.c
More information about the arch-commits
mailing list